Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Class PriceRateOrAmount3Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_07.PriceRateOrAmount3Choice

public class PriceRateOrAmount3Choice extends Object

Java class for PriceRateOrAmount3Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PriceRateOrAmount3Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}PercentageRate"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyAnd13DecimalAmount"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAnd13DecimalAmount`
`amt`
`protected BigDecimal`
`rate`

## Constructor Summary

Constructors
Constructor
Description
`PriceRateOrAmount3Choice()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAnd13DecimalAmount`
`getAmt()`
Gets the value of the amt property.
`BigDecimal`
`getRate()`
Gets the value of the rate property.
`void`
`setAmt(ActiveOrHistoricCurrencyAnd13DecimalAmount value)`
Sets the value of the amt property.
`void`
`setRate(BigDecimal value)`
Sets the value of the rate property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rate

protected BigDecimal rate

### amt

protected ActiveOrHistoricCurrencyAnd13DecimalAmount amt

## Constructor Details

### PriceRateOrAmount3Choice

public PriceRateOrAmount3Choice()

## Method Details

### getRate

public BigDecimal getRate()
Gets the value of the rate property.

Returns:
  possible object is `BigDecimal`

### setRate

public void setRate(BigDecimal value)
Sets the value of the rate property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getAmt

public ActiveOrHistoricCurrencyAnd13DecimalAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAnd13DecimalAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAnd13DecimalAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAnd13DecimalAmount`